Printable Version of Topic

Click here to view this topic in its original format

OESF Portables Forum _ Zaurus - pdaXrom _ Pdaxii13v2

Posted by: Meanie Sep 16 2007, 07:24 PM

The baseline for pdaXii13, ie full compatability with beta1/beta3 will be broken in the next generation of pdaXii13, ie pdaXii13v2 aka build 5.5

packages for pdaXii13 up to 5.4.9 are compatible with pdaXrom beta1/beta3 and vice versa.

Starting pdaXii13 build 5.5 aka pdaXii13v2, this compatability is no longer maintained since most of the base libraries for pdaXii13v2 will be upgraded to the latest/newer versions which are more in line with pdaXrom Latest aka r197/r198.

pdaXiiv2 will still be able to run beta1/beta3 apps, but apps compiled for pdaXii13v2 will no longer be guaranteed to be working in beta1/beta3 without upgrading the necessary libraries.

pdaXii13 build 5.4.9 can be upgraded to pdaXii13v2 via ipkg upgrade using the following feed:
http://www.tyrannozaurus.com/feed/beta3/pdaxiiv2/

it is also necessary to update /usr/bin/ipkg, /etc/ipkg.conf and /usr/lib/ipkg/ignored which can be found at the end of this thread before attempting an upgrade: https://www.oesf.org/forums/index.php?showtopic=24540&pid=167303&st=15&#entry167303

alternatively, you can also install the following package which will update the above files for you and if you are connected to the internet, will run ipkg upgrade to upgrade all the packages as listed on http://www.tyrannozaurus.com/feed/pdaXii13/tmp/

http://www.tyrannozaurus.com/feed/beta3/pdaxiiv2/pdaxiiv2-upgrade_5.5.0-alpha5_armv5tel.ipk

most packages used for upgrading to pdaXiiv2 were taken from kkazakov13's feed (http://z.drun.net/packages/), however, I had to rebuild a few myself to make them compatible with pdaXii13

gtk2 - newer version and support for xim/scim
bluez-libs - added compatability link for older apps
bluez-tools - changed config to support rfcomm (dun/gprs) and cf card detection
dbus - added dependency for dbus-glib
leafpad - linked /usr/local to /usr
links - with desktop file and icon
wifi-radar - command line option
openbox - with working rotation and keyboard shortcuts

additional packages available:
xtermcontrol
gpicview
wireshark
epiphany
cellwriter
obconf
tomoe
quasar

Posted by: adf Sep 16 2007, 08:35 PM

I guess, based on available images, I'll do a fresh 4.9 install and then update

Ugh. I'd forgotten that the CF Flash seems to write slower (but seek faster) than the microdrive. Flashing is time consuming now wink.gif

Posted by: raduga Sep 17 2007, 10:45 AM

QUOTE(Meanie @ Sep 16 2007, 07:24 PM)
The baseline for pdaXii13, ie full compatability with beta1/beta3 will be broken in the next generation of pdaXii13, ie pdaXii13v2 aka build 5.5


Is there an initrd for build 5.5 yet?

Posted by: adf Sep 17 2007, 04:04 PM

status on a fresh install of 4.9/update with the ipk:
mostly looks good.
when launching an app libcairo complains about wanting a version number (from libpng?)

fontconfig comlains that there are no cached elements


weirdly I can't seem to get dun info from the ppp modem gui (BT to phone) and while I can do hcitool scan, connect with hcitool cc, I can't do hcitool auth to get a connection.
Edit: sim card issues--will revisit this after a replacement

Posted by: FinnDinn Sep 18 2007, 09:50 AM

I have a similiar problem with bluetooth on this alpha - cannot authenticate after the PIN prompt

Posted by: adf Sep 18 2007, 07:02 PM

QUOTE(FinnDinn @ Sep 18 2007, 09:50 AM)
I have a similiar problem with bluetooth on this alpha - cannot authenticate after the PIN prompt
*

Yeah--I switched SIM cards, reset all passwords-- pppd call GPRS just gets me the box on my phone to enter the pin, then tells me pairing failed. NOT good. Glad to hear it might not be just me, though.

The question then, is where the problem lies? Should we downgrade the bluetooth stuff? Any of it? all of it? change a config file?

incidentally, /var/log/dmesg has some interesting info:
Linux version 2.4.20 (darkstar@aleihos)

Ignoring unrecognized tag 0x00000000
Turbo mode clock : 416.00MHZ (*2.0, active)
run mode clock : 208.00MHZ
system bus clock : 208.00MHZ (1/1)
LCD clock : 104.00MHZ (1/2)

maybe that stuff has been around for awhile and I didn't notice? (and shouldn't "turbo" be faster wink.gif ?)

I guess this makes a good excuse to try titchy

edit--make that "try gentoo," titchy didn't seem to lik the cf repacement smile.gif

Posted by: Meanie Sep 19 2007, 12:25 AM

QUOTE(FinnDinn @ Sep 19 2007, 03:50 AM)
I have a similiar problem with bluetooth on this alpha - cannot authenticate after the PIN prompt
*


please upgrade the two bluez packages (bluez-libs, bluez-utils) again and it should fix that...

Posted by: FinnDinn Sep 19 2007, 07:01 AM

QUOTE(Meanie @ Sep 19 2007, 12:25 AM)
please upgrade the two bluez packages (bluez-libs, bluez-utils) again and it should fix that...
*


Thank you, it worked.
Another problem - png desktop icons are not displayed, probably a problem with libpng?

Posted by: Meanie Sep 19 2007, 06:30 PM

QUOTE(FinnDinn @ Sep 20 2007, 01:01 AM)
QUOTE(Meanie @ Sep 19 2007, 12:25 AM)
please upgrade the two bluez packages (bluez-libs, bluez-utils) again and it should fix that...
*


Thank you, it worked.
Another problem - png desktop icons are not displayed, probably a problem with libpng?
*



probably a problem with rox. it has a bug which does that from time to time. running rox-fix should fix it...

Posted by: FinnDinn Sep 20 2007, 01:25 PM

[quote=Meanie,Sep 19 2007, 06:30 PM]
[quote=FinnDinn,Sep 20 2007, 01:01 AM]
[/quote]
Another problem - png desktop icons are not displayed, probably a problem with libpng?

*

[/quote]

probably a problem with rox. it has a bug which does that from time to time. running rox-fix should fix it...
*

[/quote]

Sorry, but I couldn't find anything by that name neither on forum except this post, nor on the disk unsure.gif Reinstalling rox doesn't seem to help.

Posted by: adf Sep 20 2007, 01:29 PM

[quote=FinnDinn,Sep 20 2007, 01:25 PM]
[quote=Meanie,Sep 19 2007, 06:30 PM]
[quote=FinnDinn,Sep 20 2007, 01:01 AM]
[/quote]
Another problem - png desktop icons are not displayed, probably a problem with libpng?

*

[/quote]

probably a problem with rox. it has a bug which does that from time to time. running rox-fix should fix it...
*

[/quote]

Sorry, but I couldn't find anything by that name neither on forum except this post, nor on the disk unsure.gif Reinstalling rox doesn't seem to help.
*

[/quote]
gnome-vfs version problem."relocation error." this is, of course after doing some creative linking to make a couple other libraries work.

Type "rox"in a terminal, you'll see clearly

edit: i may have described a unique problem caused by me--not a pdaxii13v2 issue

Posted by: canguy247 Sep 21 2007, 05:31 PM

Hey Meanie,

Once again nice work Meanie. It is amazing how much work you put into this. I just have one quick question. I want to upgrade my pdaxii13 to 5.4.9, then to pdaxii13v2. The only problem is that I have a non-standard setup. My SL-C1000 has the FULL version on SD. If I use pdaXii13-custom.tgz, and then pdaxiiv2-upgrade, will it work?

Thanks again Meanie.

Canguy

Posted by: Meanie Sep 22 2007, 06:16 AM

QUOTE(canguy247 @ Sep 22 2007, 11:31 AM)
Hey Meanie,

Once again nice work Meanie.  It is amazing how much work you put into this.  I just have one quick question.  I want to upgrade my pdaxii13 to 5.4.9, then to pdaxii13v2.  The only problem is that I have a non-standard setup.  My SL-C1000 has the FULL version on SD.  If I use pdaXii13-custom.tgz, and then pdaxiiv2-upgrade, will it work?

Thanks again Meanie.

Canguy
*


i am not sure whether it will work on the c1000 with a full install on SD since I cannot test it. the only way to find out is for someone to try it out.

Posted by: canguy247 Sep 22 2007, 12:46 PM

QUOTE(Meanie @ Sep 22 2007, 10:16 AM)
QUOTE(canguy247 @ Sep 22 2007, 11:31 AM)
Hey Meanie,

Once again nice work Meanie.  It is amazing how much work you put into this.  I just have one quick question.  I want to upgrade my pdaxii13 to 5.4.9, then to pdaxii13v2.  The only problem is that I have a non-standard setup.  My SL-C1000 has the FULL version on SD.  If I use pdaXii13-custom.tgz, and then pdaxiiv2-upgrade, will it work?

Thanks again Meanie.

Canguy
*


i am not sure whether it will work on the c1000 with a full install on SD since I cannot test it. the only way to find out is for someone to try it out.
*


OK. I guess I will be backing up my SD and internal flash tomorrow and try it. Just wanted to know if it was theoretically possible. Thanks Meanie.

Posted by: canguy247 Sep 25 2007, 09:59 AM

QUOTE(canguy247 @ Sep 22 2007, 04:46 PM)
QUOTE(Meanie @ Sep 22 2007, 10:16 AM)
QUOTE(canguy247 @ Sep 22 2007, 11:31 AM)
Hey Meanie,

Once again nice work Meanie.  It is amazing how much work you put into this.  I just have one quick question.  I want to upgrade my pdaxii13 to 5.4.9, then to pdaxii13v2.  The only problem is that I have a non-standard setup.  My SL-C1000 has the FULL version on SD.  If I use pdaXii13-custom.tgz, and then pdaxiiv2-upgrade, will it work?

Thanks again Meanie.

Canguy
*


i am not sure whether it will work on the c1000 with a full install on SD since I cannot test it. the only way to find out is for someone to try it out.
*


OK. I guess I will be backing up my SD and internal flash tomorrow and try it. Just wanted to know if it was theoretically possible. Thanks Meanie.
*



So, I upgraded to 5.4.9 using the custom.tgz, and then installed the upgrade ipk for v2, which installed all of the updates. Everything works great except for a couple of issues. The main one is that IceWM does not have any apps in the start menu. Is this normal behaviour?

Canguy

Posted by: Meanie Sep 25 2007, 03:26 PM

QUOTE(canguy247 @ Sep 26 2007, 03:59 AM)
QUOTE(canguy247 @ Sep 22 2007, 04:46 PM)
QUOTE(Meanie @ Sep 22 2007, 10:16 AM)
QUOTE(canguy247 @ Sep 22 2007, 11:31 AM)
Hey Meanie,

Once again nice work Meanie.  It is amazing how much work you put into this.  I just have one quick question.  I want to upgrade my pdaxii13 to 5.4.9, then to pdaxii13v2.  The only problem is that I have a non-standard setup.  My SL-C1000 has the FULL version on SD.  If I use pdaXii13-custom.tgz, and then pdaxiiv2-upgrade, will it work?

Thanks again Meanie.

Canguy
*


i am not sure whether it will work on the c1000 with a full install on SD since I cannot test it. the only way to find out is for someone to try it out.
*


OK. I guess I will be backing up my SD and internal flash tomorrow and try it. Just wanted to know if it was theoretically possible. Thanks Meanie.
*



So, I upgraded to 5.4.9 using the custom.tgz, and then installed the upgrade ipk for v2, which installed all of the updates. Everything works great except for a couple of issues. The main one is that IceWM does not have any apps in the start menu. Is this normal behaviour?

Canguy
*



Does openbox work correctly?
There might have been a few config files being missed out when you upgraded to 5.4.9
Try unpacking pdaXii13-custom.tgz and copying the files under the icewm subdirectory to /etc/icewm

also, there is a menu item to regenerate the icewm menus, but if you don't have any items, then that would be difficult to run it from the menu smile.gif try running makeicemenu :-)

Anyway, this is just a alpha release and the purpose of this release is to find all the bugs and issues releated to the upgrade to pdaXiiv2

Please if you discover any issues, even little ones, dont hesitate to report them so they can be fixed for alpha2 smile.gif

for anyone trying to upgrade from a version prior to 5.4.9 to pdaXiiv2, please make sure your upgrade to 5.4.9 is successful before upgrading to pdaXiiv2. if you have any issues upgrading from 5.4.x to 5.4.9, please let me know as well. i want to make sure that all the upgrades from 5.x.x to 5.4.9 is good.
please make sure when you are reporting problems you clearly state whether it is one for upgrading to 5.4.9 or pdaXiiv2 alphax. those two are two different issues and i want to keep them separate.

Posted by: Jon_J Sep 25 2007, 05:27 PM

I've been mostly absent the entire summer, temps where my desktop is located get over 90º F (and I'm never home much then).
I just upgraded pdaxii13 - 5.4.3 to 5.4.9
I'll Use 5.4.9 awhile and see if I have any problems, before attempting to upgrade to pdaXiiv2.
First thing I noticed upon reboot (after the upgrade) is "xselect" only has 2 options:
1. Quit
2. Openbox

In 5.4.3, I could select icewm from there. I also think there was another selection available, (like fluxbox or another wm) I never used those selections in 5.4.3 because my only alternate wm was icewm.

One minor glitch I had upgrading, is that my C3200 has sat on my desk (plugged in) all summer, and I had to reboot and make sure my CF card mounted properly before zcat could find pdaxii13-custom.tgz

One other minor thing I have always had to do when using the upgrade method, is make sure I am "inside" the directory where each of these 2 files are located before issuing a command on them.
for "zcat pdaXii13-custom.tgz | tar xvf - -C /mnt/cf/upgrade" (I needed to issue cd /mnt/cf)
for "./install-fix-beta3.sh / upgrade" (I needed to issue cd /mnt/cf/upgrade/custom)

Posted by: Meanie Sep 25 2007, 05:55 PM

QUOTE(Jon_J @ Sep 26 2007, 11:27 AM)
I've been mostly absent the entire summer, temps where my desktop is located get over 90º F (and I'm never home much then).
I just upgraded pdaxii13 - 5.4.3 to 5.4.9
I'll Use 5.4.9 awhile and see if I have any problems, before attempting to upgrade to pdaXiiv2.
First thing I noticed upon reboot (after the upgrade) is "xselect" only has 2 options:
1. Quit
2. Openbox

In 5.4.3, I could select icewm from there. I also think there was another selection available, (like fluxbox or another wm) I never used those selections in 5.4.3 because my only alternate wm was icewm.

One minor glitch I had upgrading, is that my C3200 has sat on my desk (plugged in) all summer, and I had to reboot and make sure my CF card mounted properly before zcat could find pdaxii13-custom.tgz

One other minor thing I have always had to do when using the upgrade method, is make sure I am "inside" the directory where each of these 2 files are located before issuing a command on them.
for "zcat pdaXii13-custom.tgz | tar xvf - -C /mnt/cf/upgrade" (I needed to issue cd /mnt/cf)
for "./install-fix-beta3.sh / upgrade" (I needed to issue cd /mnt/cf/upgrade/custom)
*


it does not seem like you got the correct version of xselect installed

numbers are not being shown anymore, they should be letters, ie

O OpenBox
I IceWM
F FluxBox
E Enlightenment
K KDE
Q Quit

the above depends on which window managers are installed. obviously if the wm is not present, it won't be shown in the list.

in your case, you should at least see OpenBox and IceWM

btw, it is generally better to use the Upgrade option in the installer to upgrade rather than manually running the upgrade script.

Posted by: glac Sep 26 2007, 03:04 AM

Hello Meanie,

Great work on pdaxii13, congratulations and thanks!
I have a SL-C3200 and I've installed sucessfully the 5.4.9 Akita version. I've updated the ipkg package, ipkg.conf and added the ignored file as stated in this post. There were some probles during installation:

- When installing gtk2, there were problems with libpng and libcairo.
- When I tried to acess network-cfg, there was a script error when looking for gtk
- All the desktop default icons were gone (only appears an symbol with X, probably of not found), and probably because they were png icons.

That appears to be all. I'll backup my installation again (of mine 5.4.9) and try again to reproduce and feedback the problems with its correct messages to make it easier to track the bugs.

I've one more doubt: When I rebooted my system, there was a message like this before mounting the VFS:

"jffs2_scan_inode_node(): CRC failed on node 0x0618bdfc " followed by the sum calculated and the expected sum.

Is this some serious problem, do I need to reinstall pdaxii13 to correct this or this is normal?

Thanks for your work and attention.

glac

Posted by: canguy247 Sep 26 2007, 05:07 PM

Thanks a million guys. It would seem I have found the problem...but not the cause. The first thing I noticed is that makeicemenu did not exist. So I checked the next thing... and wow, /etc/icewm does not exist either. It would seem that the upgrade to 5.4.9 did not work. So then I unpacked pda...custom.tgz and had a look at the install script. I used this file to manually copy over what I needed for icewm. I did not want to simply run the script manually since I did not want to mess up the system, since I have upgraded to v2. Guess I should have spent more than a few hours with 5.4.9 to check out the issues before upgrading. Things seem fine now, the only issue is that I know much of the upgrade script worked, but not all. If anything else messes up, I will know where to look. My next step will be to look at Meanie's release notes and manually copy over fixes that were done after my old version, which will not mess up v2.

So far so good though! What an awesome setup Meanie. This is what I wanted my pda to do when I bought it. wow, thanks again dude.

Canguy

Posted by: Meanie Sep 26 2007, 06:17 PM

QUOTE(glac @ Sep 26 2007, 09:04 PM)
Hello Meanie,

Great work on pdaxii13, congratulations and thanks!
I have a SL-C3200 and I've installed sucessfully the 5.4.9 Akita version. I've updated the ipkg package, ipkg.conf and added the ignored file as stated in this post. There were some probles during installation:

- When installing gtk2, there were problems with libpng and libcairo.
- When I tried to acess network-cfg, there was a script error when looking for gtk
- All the desktop default icons were gone (only appears an symbol with X, probably of not found), and probably because they were png icons.

That appears to be all. I'll backup my installation again (of mine 5.4.9) and try again to reproduce and feedback the problems with its correct messages to make it easier to track the bugs.

I've one more doubt: When I rebooted my system, there was a message like this before mounting the VFS:

"jffs2_scan_inode_node(): CRC failed on node 0x0618bdfc " followed by the sum calculated and the expected sum.

Is this some serious problem, do I need to reinstall pdaxii13 to correct this or this is normal?

Thanks for your work and attention.

glac
*


is this on a Akita base or an extended Akita full ?
what exact version of gtk2 did it try to install?
as for the jffs2 errors, that's normal for all Zaurus models that use the NAND...

Posted by: glac Sep 27 2007, 03:19 AM

QUOTE(Meanie @ Sep 26 2007, 06:17 PM) *
QUOTE(glac @ Sep 26 2007, 09:04 PM)
Hello Meanie,

Great work on pdaxii13, congratulations and thanks!
I have a SL-C3200 and I've installed sucessfully the 5.4.9 Akita version. I've updated the ipkg package, ipkg.conf and added the ignored file as stated in this post. There were some probles during installation:

- When installing gtk2, there were problems with libpng and libcairo.
- When I tried to acess network-cfg, there was a script error when looking for gtk
- All the desktop default icons were gone (only appears an symbol with X, probably of not found), and probably because they were png icons.

That appears to be all. I'll backup my installation again (of mine 5.4.9) and try again to reproduce and feedback the problems with its correct messages to make it easier to track the bugs.

I've one more doubt: When I rebooted my system, there was a message like this before mounting the VFS:

"jffs2_scan_inode_node(): CRC failed on node 0x0618bdfc " followed by the sum calculated and the expected sum.

Is this some serious problem, do I need to reinstall pdaxii13 to correct this or this is normal?

Thanks for your work and attention.

glac
*


is this on a Akita base or an extended Akita full ?
what exact version of gtk2 did it try to install?
as for the jffs2 errors, that's normal for all Zaurus models that use the NAND...


I was upgrading from Akita 5.4.9 Alice full. The only feed on mine ipkg.conf was the pdaxii13v2/ so the version was 2.10.13-1. Before the gtk2 problem, there was the conflict of libcairo with libpng (wanting the version of libpng). When it tried to install gtk2, there was some kind of issue with libcairo or libpng (can't remember wicht one now). I will try to upgrade again after I've done my backup and show exactaly all the messages.

Thanks for the reply and forgive mine bad description of the problems I've had.

glac

Posted by: Jon_J Sep 27 2007, 11:13 AM

QUOTE(Meanie @ Sep 25 2007, 08:55 PM) *
it does not seem like you got the correct version of xselect installed

numbers are not being shown anymore, they should be letters, ie

O OpenBox
I IceWM
F FluxBox
E Enlightenment
K KDE
Q Quit

the above depends on which window managers are installed. obviously if the wm is not present, it won't be shown in the list.

in your case, you should at least see OpenBox and IceWM

It seems that IceWM is missing on my C3200 also. I no longer have /etc/icewm directory, and no icewm entries shown in package manager.
I'm not concerned about icewm at the moment because I'm backing up my personal data and am going to "Flash" to 5.4.9
I seem to have mount and unmount problems with both my SD & CF cards, and probably have some configuration issues of my own doing.
This is why I'm starting over with a fresh flash. smile.gif
One quick question.
Is the 2.6 kernel being introduced with 5.4.9 to pdaxii13v2 upgrade?
I'm asking about this because both my CF LAN card and USB LAN dongle seem to have drivers that work with the 2.6 kernel.

Posted by: Meanie Sep 27 2007, 03:47 PM

QUOTE(Jon_J @ Sep 28 2007, 05:13 AM) *
QUOTE(Meanie @ Sep 25 2007, 08:55 PM) *
it does not seem like you got the correct version of xselect installed

numbers are not being shown anymore, they should be letters, ie

O OpenBox
I IceWM
F FluxBox
E Enlightenment
K KDE
Q Quit

the above depends on which window managers are installed. obviously if the wm is not present, it won't be shown in the list.

in your case, you should at least see OpenBox and IceWM

It seems that IceWM is missing on my C3200 also. I no longer have /etc/icewm directory, and no icewm entries shown in package manager.
I'm not concerned about icewm at the moment because I'm backing up my personal data and am going to "Flash" to 5.4.9
I seem to have mount and unmount problems with both my SD & CF cards, and probably have some configuration issues of my own doing.
This is why I'm starting over with a fresh flash. smile.gif
One quick question.
Is the 2.6 kernel being introduced with 5.4.9 to pdaxii13v2 upgrade?
I'm asking about this because both my CF LAN card and USB LAN dongle seem to have drivers that work with the 2.6 kernel.


no, pdaXii13 will stay on the 2.4.20 kernel.

the 2.6 kernel is still unstable. none of the Z distros out there have a fully functional 2.6 kernel yet.
if you want pdaXrom with 2.6 kernel, wait for pdaXrom 2.0.0 or use its alpha versions, ie r198...

Posted by: adf Sep 27 2007, 05:07 PM

I have KDE installed (ShiroiKuma's squash this time) and have no kde entry on the startup menu. How do I fix that?

Posted by: Meanie Sep 27 2007, 08:26 PM

QUOTE(adf @ Sep 28 2007, 11:07 AM) *
I have KDE installed (ShiroiKuma's squash this time) and have no kde entry on the startup menu. How do I fix that?


your kde session script (modified xinitrc script) has to be /usr/bin/kde-session

Posted by: Meanie Sep 27 2007, 08:28 PM

the pygtk is not working correctly, so until that is resolved, pygtk will be added to the ignored list for package upgrades in alpha2
if you have already upgraded it, uninstall it and reinstall the older version.

Posted by: Jon_J Oct 3 2007, 05:33 PM

I've two questions.
1. If I upgrade from pdaxii13-5.4.9 to pdaxii13v2, over my internet connection, will I lose my settings I have made to these files?
/etc/pcmcia/config
/etc/pcmcia/herms.conf
/etc/pcmcia/hostap_cs.conf
/etc/pcmcia/network.opts

2. I have pdaxii13-5.4.9 sally installed to NAND (I only have one thing installed on the hard drive, firefox)
Do all these updates install to NAND only? I have 51 MB remaining on my NAND

Thank you,
Jon

Posted by: Jon_J Oct 4 2007, 03:06 PM

I decided to upgrade to pdaxii13v2 and installed the file "pdaxiiv2-upgrade_4.4.0-alpha2_armv5tel.ipk"
I was connected to the internet while the upgrade process was running when my zaurus went to sleep, and lost my connection.
This upgrade is only partially finished. I need to restart it again.
Is this possible?
If I reboot my zaurus, will it be messed up, or should I try another connection and try the upgrade again?

Thank you,
Jon

Posted by: Capn_Fish Oct 4 2007, 03:15 PM

I'd play it safe and redo the upgrade (after disabling auto-sleep smile.gif)

Posted by: Jon_J Oct 4 2007, 03:16 PM

I had to reboot after it froze up when I tried to connect again, when I rebooted, X won't start now.
How can I finish the upgrade outside of X ??

EDIT: Reflashing...
I think I'll stay with pdaxii13-5.4.9 for now.

Posted by: Meanie Oct 4 2007, 04:07 PM

QUOTE(Jon_J @ Oct 4 2007, 11:33 AM) *
I've two questions.
1. If I upgrade from pdaxii13-5.4.9 to pdaxii13v2, over my internet connection, will I lose my settings I have made to these files?
/etc/pcmcia/config
/etc/pcmcia/herms.conf
/etc/pcmcia/hostap_cs.conf
/etc/pcmcia/network.opts

2. I have pdaxii13-5.4.9 sally installed to NAND (I only have one thing installed on the hard drive, firefox)
Do all these updates install to NAND only? I have 51 MB remaining on my NAND

Thank you,
Jon


The /etc/pcmcia/* files will most likely be clobbered up so you are advised to back them up and restore your files after the upgrade. This is just the way how ipkg upgrade works, ie it removes the entire package and installs the new package...

No idea how upgrade behaves in this case. I would assume it will install to the same location that the original package was in but i don't know.

Posted by: Meanie Oct 4 2007, 04:08 PM

QUOTE(Jon_J @ Oct 5 2007, 09:16 AM) *
I had to reboot after it froze up when I tried to connect again, when I rebooted, X won't start now.
How can I finish the upgrade outside of X ??

EDIT: Reflashing...
I think I'll stay with pdaxii13-5.4.9 for now.


you could had just run ipkg upgrade

Posted by: Jon_J Oct 4 2007, 05:28 PM

QUOTE(Meanie @ Oct 4 2007, 07:08 PM) *
QUOTE(Jon_J @ Oct 5 2007, 09:16 AM) *
I had to reboot after it froze up when I tried to connect again, when I rebooted, X won't start now.
How can I finish the upgrade outside of X ??

EDIT: Reflashing...
I think I'll stay with pdaxii13-5.4.9 for now.


you could had just run ipkg upgrade

Thank you for the info. I wouldn't have been able to figure out how to get connected without X running.
Anyway, I have reinstalled and upgraded and have my first openbox desktop showing. smile.gif
(I installed pdaxiiv2-upgrade_4.4.0-alpha2_armv5tel.ipk)
The console says I have this version now.
pdaxii13v2 build 5.5.0-alpha1 "sally" - Linux 2.4.20 for SHARP Terrier (XScale-PXA270)

There must be an error in the text, I'm sure I installed alpha2

EDIT
I also have the PNG problem with icons and wallpaper in Rox. There was mention of libpng and libcairo having conflicts on previous posts in this thread. Is there a different version of libpng that would resolve this?
When I type rox in a terminal, I get this.
CODE
/use/apps/ROX-Filer/ROX-Filer: /usr/lib/libpng12.so.0: no version information available (required by /usr/lib/libcairo.so.2)

I have rox_2.5 installed. (I'm going to try rox 2.6.1 from kkazakov13's feed)
rox 2.6.1 made no difference in the icon/wallpaper png issue.

EDIT 2
When everything updated/installed I had 19 MB left on my NAND, so I uninstalled some things that I don't use and now have 30 MB on NAND.
I uninstalled these packages:
gthumb
links browser (I tried it in the past & didn't like it)
xpdf (was from previous version, since epdfview is less than half the size of xpdf)
libffmpg (I doubt I'll watch movies on this zaurus, I may install this later)
pidgin (I don't use chat clients)
there may be one or 2 more that I removed, but the only library I removed was libffmpg.
Thanks again,
Jon

Posted by: Meanie Oct 4 2007, 06:51 PM

QUOTE(Jon_J @ Oct 5 2007, 11:28 AM) *
QUOTE(Meanie @ Oct 4 2007, 07:08 PM) *
QUOTE(Jon_J @ Oct 5 2007, 09:16 AM) *
I had to reboot after it froze up when I tried to connect again, when I rebooted, X won't start now.
How can I finish the upgrade outside of X ??

EDIT: Reflashing...
I think I'll stay with pdaxii13-5.4.9 for now.


you could had just run ipkg upgrade

Thank you for the info. I wouldn't have been able to figure out how to get connected without X running.
Anyway, I have reinstalled and upgraded and have my first openbox desktop showing. smile.gif
(I installed pdaxiiv2-upgrade_4.4.0-alpha2_armv5tel.ipk)
The console says I have this version now.
pdaxii13v2 build 5.5.0-alpha1 "sally" - Linux 2.4.20 for SHARP Terrier (XScale-PXA270)

There must be an error in the text, I'm sure I installed alpha2

EDIT
I also have the PNG problem with icons and wallpaper in Rox. There was mention of libpng and libcairo having conflicts on previous posts in this thread. Is there a different version of libpng that would resolve this?
When I type rox in a terminal, I get this.
CODE
/use/apps/ROX-Filer/ROX-Filer: /usr/lib/libpng12.so.0: no version information available (required by /usr/lib/libcairo.so.2)

I have rox_2.5 installed. (I'm going to try rox 2.6.1 from kkazakov13's feed)
rox 2.6.1 made no difference in the icon/wallpaper png issue.

EDIT 2
When everything updated/installed I had 19 MB left on my NAND, so I uninstalled some things that I don't use and now have 30 MB on NAND.
I uninstalled these packages:
gthumb
links browser (I tried it in the past & didn't like it)
xpdf (was from previous version, since epdfview is less than half the size of xpdf)
libffmpg (I doubt I'll watch movies on this zaurus, I may install this later)
pidgin (I don't use chat clients)
there may be one or 2 more that I removed, but the only library I removed was libffmpg.
Thanks again,
Jon


rox is on the ignored list and should not be upgraded

libpng should have:

libpng12.so
libpng12.so.0
libpng12.so.0.12.0
libpng.so
libpng.so.3
libpng.so.3.12.0

libcairo should have:
libcairo.so
libcairo.so.2
libcairo.so.2.11.2

Posted by: Jon_J Oct 4 2007, 07:33 PM

QUOTE(Meanie @ Oct 4 2007, 09:51 PM) *
QUOTE(Jon_J @ Oct 5 2007, 11:28 AM) *
QUOTE(Meanie @ Oct 4 2007, 07:08 PM) *
QUOTE(Jon_J @ Oct 5 2007, 09:16 AM) *
I had to reboot after it froze up when I tried to connect again, when I rebooted, X won't start now.
How can I finish the upgrade outside of X ??

EDIT: Reflashing...
I think I'll stay with pdaxii13-5.4.9 for now.


you could had just run ipkg upgrade

Thank you for the info. I wouldn't have been able to figure out how to get connected without X running.
Anyway, I have reinstalled and upgraded and have my first openbox desktop showing. smile.gif
(I installed pdaxiiv2-upgrade_4.4.0-alpha2_armv5tel.ipk)
The console says I have this version now.
pdaxii13v2 build 5.5.0-alpha1 "sally" - Linux 2.4.20 for SHARP Terrier (XScale-PXA270)

There must be an error in the text, I'm sure I installed alpha2

EDIT
I also have the PNG problem with icons and wallpaper in Rox. There was mention of libpng and libcairo having conflicts on previous posts in this thread. Is there a different version of libpng that would resolve this?
When I type rox in a terminal, I get this.
CODE
/use/apps/ROX-Filer/ROX-Filer: /usr/lib/libpng12.so.0: no version information available (required by /usr/lib/libcairo.so.2)

I have rox_2.5 installed. (I'm going to try rox 2.6.1 from kkazakov13's feed)
rox 2.6.1 made no difference in the icon/wallpaper png issue.

EDIT 2
When everything updated/installed I had 19 MB left on my NAND, so I uninstalled some things that I don't use and now have 30 MB on NAND.
I uninstalled these packages:
gthumb
links browser (I tried it in the past & didn't like it)
xpdf (was from previous version, since epdfview is less than half the size of xpdf)
libffmpg (I doubt I'll watch movies on this zaurus, I may install this later)
pidgin (I don't use chat clients)
there may be one or 2 more that I removed, but the only library I removed was libffmpg.
Thanks again,
Jon


rox is on the ignored list and should not be upgraded

libpng should have:

libpng12.so
libpng12.so.0
libpng12.so.0.12.0
libpng.so
libpng.so.3
libpng.so.3.12.0

libcairo should have:
libcairo.so
libcairo.so.2
libcairo.so.2.11.2

I had the correct version of cairo installed and mine matched the above.
I had libpng 1.2.5 installed and these didn't match. I uninstalled 1.2.5 and found libpng_1.2.12_armv5tel.ipk on kkazakov13's feed.
Once installed they matched as listed above.
I also went back to rox 2.5
I launched rox in a console and got no errors, but the icons and wallpaper still don't work as before.
(gray background and question mark icons) I tried dragging my wallpaper into rox backdrop and got this message.
"Couldn't recognize the image file format. Backdrop removed."

EDIT
I switched back to openbox. (Still in pdaxii13v2) The cards app still only has little white boxes with red 'X's in them and they don't change when you dismount a card. (It does show that it is "empty" if no card is mounted)

Posted by: Jon_J Oct 5 2007, 08:12 AM

NOTE this is for pdaxii13v2
I attached a screencap showing the rox desktop and the cards applet open on the taskbar.
Screencap makes *.png captures when the necessary files are installed, but GQview cannot show *.png images, it just shows a "broken" icon for my screencap I attached here.
Also, GQview doesn't show any *.png files in it's file browser. I'm in /usr/share/pixmaps/ and there are only two *.xpm files and one *.svg file showing in GQview's file browser.

Posted by: Jon_J Oct 5 2007, 11:44 AM

I browsed kkazakov13's feed to see if I had any files that needed updated, that weren't caught in the upgrade process and found these 4 files needed updating.
I checked with the latest "ignored" list and none of these were on it, so I updated these 4 libraries:
glib2_2.14.0_armv5tel.ipk
libgphoto2_2.4.0_armv5tel.ipk
pango_1.18.1_armv5tel.ipk
poppler_0.5.4-1_armv5tel.ipk

When I rebooted, my fonts on the desktop and in GQview are all square boxes.
All the filenames in rox filer are square boxes also.
I'm not sure which one is causing this, but I'll go through them one-by-one and install the previous version.
I'll report back after I uninstall/reinstall prior versions and find the "culprit" that is causing these square boxes to replace my fonts.
EDIT
I found it was pango that was causing my problems, I uninstalled the newer version above and re-installed pango_1.10.0_armv5tel.ipk
smile.gif
I still have the *.png problem with icons, etc..

Posted by: deniscallies Oct 9 2007, 12:23 AM

Hello,

after upgrading my C-1000 recognises no CF anymore. First i thought it is only a WLAN issue
then i tried a CF Card with my files and nothing happens. If i try a cardctl ident it segfaults...
do i have to reinstall the whole system ? huh.gif

thanks, Denis

Posted by: Jon_J Oct 10 2007, 01:20 PM

QUOTE(Jon_J @ Oct 5 2007, 11:12 AM) *
NOTE this is for pdaxii13v2
I attached a screencap showing the rox desktop and the cards applet open on the taskbar.
Screencap makes *.png captures when the necessary files are installed, but GQview cannot show *.png images, it just shows a "broken" icon for my screencap I attached here.
Also, GQview doesn't show any *.png files in it's file browser. I'm in /usr/share/pixmaps/ and there are only two *.xpm files and one *.svg file showing in GQview's file browser.

I found the solution to my problem with *.png images not rendering in Rox and icons/wallpaper etc !
I was checking gqview preferences and under "Filtering" I found that *.png (Portable Network Graphics) selection was unchecked.
I placed an 'X' in the selection and all my icons and wallpaper now work!! smile.gif smile.gif
I wonder how this selection got de-selected in the first place?
May be when I uninstalled older version of libpng and installed newer version.
WOW! I'm happy now! smile.gif all my folders show and the mounted folders are indicated.
The Cards applet on the taskbar is also back to normal.
I didn't know gqview had that much control over the GUI in rox and pdaxii13. hmmm. (I'm writing this down for later reference).
I attached 2 screenshots, one of gqview (where above setting is located) and my desktop showing mounted directories and the Cards applet.
I hope these attachments don't disappear like several of mine have in the last 2-3 weeks.

Posted by: adf Oct 11 2007, 12:12 AM

Mpkayer via Quasar media player, when playing zoomed makes the icewm panel vanish. I have no further info yet; just thought I'd mention it as quasar is a sweet gui and will probably see heavy use.

Posted by: Jon_J Oct 13 2007, 05:57 PM

Just upgraded with pdaxiiv2-upgrade_4.4.0-alpha3_armv5tel.ipk and did ipkg update and ipkg upgrade.
I decided to install gthumb on my hard drive, so I uninstalled it from flash and downloaded and installed it to /mnt/ide/
When launching it, it gives error about missing libltdl.so.3
I searched the forums and found that this library is contained in libtool. Where can I find libtool so I can get this library?
I also searched the forum for libltdl, and only found one old attachment that is now gone.

Posted by: climber Oct 18 2007, 02:36 AM

Take a look in here:

http://z.drun.net/packages/libtool_1.5.22_armv5tel.ipk


climber

Posted by: Jon_J Oct 18 2007, 07:15 AM

QUOTE(climber @ Oct 18 2007, 05:36 AM) *
Take a look in here:

http://z.drun.net/packages/libtool_1.5.22_armv5tel.ipk


climber

Thank you climber, I extracted all the libltdl.so.x files from libtool and placed them in /usr/lib/ and gthumb worked. smile.gif

Posted by: scheck.r Oct 18 2007, 08:37 AM

why not installing the package the usual way like this;
- 1st way: in a terminal

CODE
wget http://z.drun.net/packages/libtool_1.5.22_armv5tel.ipk
ipkg install /path_to_the_downloaded_package_file/libtool_1.5.22_arm5vtel.ipk

- 2nd way:
CODE
wget http://z.drun.net/packages/libtool_1.5.22_armv5tel.ipk

open the package manager, click on first icon on the top left corner and find your package in the open file dialog
- 3rd way:
open the package manager and go to settings
add
QUOTE
kazakov13 http://z.drun.net/packages
to the feeds
click on the update icon
go to available packages and install what you want

Posted by: Jon_J Oct 18 2007, 10:52 AM

QUOTE
why not installing the package the usual way

1. I only wanted the libraries for gthumb. The full libtool package install takes about 1MB.
2. I'm trying to keep my installs onto flash to a minimum, and I install libraries to flash.

Posted by: scheck.r Oct 18 2007, 11:38 AM

Thanks for the explanations

Posted by: Meanie Oct 21 2007, 06:36 PM

just updated to alpha4 now with support for new version of openbox

Posted by: adf Oct 21 2007, 08:22 PM

QUOTE(Meanie @ Oct 21 2007, 06:36 PM) *
just updated to alpha4 now with support for new version of openbox

Just did the alpha1 update on a fresh install--the Z is installing the software I typically add atm. when it is done, I'll reboot and run the alpha4 update. At worst it will be instructive wink.gif

Posted by: Jon_J Oct 22 2007, 07:58 AM

Meanie, is there a way I can add packages to the "Ignored" list when upgrading, using "pdaxiiv2-upgrade_5.5.0-alpha4_armv5tel.ipk" ?
I usually remove applications that I don't use after the upgrade process, and after this latest upgrade, I only had 17 MB left on root.
I'm afraid in future upgrades, I'll run out of root space when new packages are introduced in the upgrade.
Some of the packages I usually uninstall are 2-3 MB or larger.
If I really want to keep a large package, I'll re-install it to the hard drive.

Thank you,
Jon
EDIT:
On an unrelated subject, Openbox Configuration Manager will not appear on the menu.
You need to edit its desktop file to make it appear. It will now be in the menu selection, "Other"
change this
Icon=openbox
to
Icon=openbox.png

Posted by: Richard Oct 22 2007, 09:35 AM

QUOTE(Jon_J @ Oct 22 2007, 10:58 AM) *
Meanie, is there a way I can add packages to the "Ignored" list when upgrading "pdaxiiv2-upgrade_5.5.0-alpha4_armv5tel.ipk" ?
I usually remove applications that I don't use after the upgrade process, and after this latest upgrade, I only had 17 MB left on root.
I'm afraid in future upgrades, I'll run out of root space when new packages are introduced in the upgrade.
Some of the packages I usually uninstall are 2-3 MB or larger.
If I really want to keep a large package, I'll re-install it to the hard drive.

Thank you,
Jon

I previously tried to upgrade from 5.4.9 to 5.5.0 alpha1 using the ipk while connected to the internet on my C3100 running Sally (with packages installed in NAND and on my SD card). I only had 11 MB free in NAND, and after 20 minutes or so I got a group of errors because I ran out of room on my root partition. The install failed, and I had to do a fresh install.

I'm back to 5.4.9 with packages installed on NAND and on /mnt/ide. I have about 30 MB free in NAND. How much room do we need to upgrade to 5.5.0? I saw Meanie's response about this, but does anyone else know if the upgrade feature of ipkg will install the upgraded package to the same location as the original? (I kind of doubt it.) Also, is the "ignore" list part of the upgrade of ipkg? I haven't seen anything about this until the last few posts.

Thanks!

Posted by: Jon_J Oct 22 2007, 09:44 AM

Richard,
If you have packages installed to another location, (I use my hard drive. /mnt/ide/) the upgrade process will upgrade that package in its original location.
If you uninstall a package from root (NAND) and don't re-install it somewhere else, the upgrade will install this package back to root.
The packages that I install to my hard drive are not re-installed by the upgrade, (unless they need an upgrade)
I hope you understand what I'm saying. If you just remove a package, the next time you upgrade using the upgrade IPK, it will install that package again if it doesn't find it on your Zaurus.

EDIT:
These are some of the packages that I removed from root, and manually re-installed to /mnt/ide/
These are packages of 1-3 MB or larger
Links
sylpheed
gthumb
abiword
pidgion
There are some others that I don't use at all, but they are small. So I just remove them anyway.
I always have had firefox and epiphany installed to the hard drive, since they are large packages.

The ignore list is in "pdaxiiv2-upgrade_5.5.0-alpha4_armv5tel.ipk". If you use a windows machine, you can open this file in winrar and extract "ignore", then view it in a text app.

Posted by: Richard Oct 22 2007, 01:34 PM

Thanks, Jon. Made perfect sense, and that's what I was hoping to find out. I have packages on the harddrive, and didn't want the upgrade process to try and stick those in the root area.

Does anyone know if the upgrade can work with 30 MB free in NAND? My only real concern is in downloading the upgrade packages - they may fill my available space and cause a problem with the upgrade.

Posted by: Jon_J Oct 22 2007, 03:04 PM

I have upgraded my pdaxii13v2 with only 28 MB left in root. (NAND area)
I originally upgraded from pdaxii13-5.4.9 akita. (The sally version on NAND)
I have gone through all 4 versions of the upgrade (alpha1 -> alpha4 (present))
One time, when it finished downloading and installing newer packages, I only had 17MB left on root.
I had no problems un-installing larger packages, then manually re-installing them to my hard drive.
One other thing I always do is run ipkg update. This updates the "available" packages list.

I don't use ipkg upgrade.
I think Meanie said not to use this, and you will get a warning when doing this, that this is not supported in pdaxii13

Posted by: Meanie Oct 22 2007, 05:18 PM

QUOTE(Jon_J @ Oct 23 2007, 09:04 AM) *
I have upgraded my pdaxii13v2 with only 28 MB left in root. (NAND area)
I originally upgraded from pdaxii13-5.4.9 akita. (The sally version on NAND)
I have gone through all 4 versions of the upgrade (alpha1 -> alpha4 (present))
One time, when it finished downloading and installing newer packages, I only had 17MB left on root.
I had no problems un-installing larger packages, then manually re-installing them to my hard drive.
One other thing I always do is run ipkg update. This updates the "available" packages list.

I don't use ipkg upgrade.
I think Meanie said not to use this, and you will get a warning when doing this, that this is not supported in pdaxii13


actually, what the pdaxiiv2-upgrade package does is update the ignored file and run postinst script which runs ipkg upgrade on a list of predefined packages.
once you installed any version of pdaxiiv2-upgrade, you could in theory just run ipkg update; ipkg upgrade after you update ignored list.

Posted by: adf Oct 22 2007, 07:06 PM

All worked well (4.9 full, fresh to 5.5) with the alpha1, install, alpha4 unintended sequence. The thing is, though, I install just about everything I suspect I might want (mostly to /media/fakeroot), and still have about 52 megs left on Nand ( I uses a 121M /). Is this to do with using the full version rather than base+ipk, maybe?

Anyway, I thought I'd mentioned that after some failed tests of titchy, and a strong suspicion that angstrom (and possibly even pdaX current) might not work using my A-Data CF, I seriously considered putting in a 6-gig Microdrive that i have on hand, just for compatibility. WHile thinking about it, I reviewed what I actually use my Z for (multimedia, a game or two, email and web browsing--planning to get more pimly with it though), and realized that regardless of what I had in my internal slot, I'd end up using pdaxii (though I'd love to see webkit or Firefox2 on there someday) due to the hardware support, sound and multimedia speed. On realizing that if I did the surgery, I'd end up flashing back to pdaxii in a few days, at most, I left the 16G on board.

Posted by: Richard Oct 23 2007, 04:50 AM

I actually only had 20 MB free on my NAND partition last night when I tried to upgrade from 5.4.9 to 5.5 alpha 4. It sailed along and upgraded a couple packages installed in /mnt/ide, and installed a few in NAND. Pretty soon, my root partition was full and I had 0 space available. The upgrade failed and I flashed back to 5.4.9. I will look tonight to see what packages I can move out of NAND to get atleast 30-40 MB free.

I guess the alternative is to look at the postinst script and mod it to install to /mnt/ide by default...

Posted by: Meanie Oct 23 2007, 04:55 PM

pdaXii13v2 is still early in alpha and has only been tested in its pdaXii13v2 full edition. there is no pdaXii13v2 base

Posted by: Meanie Nov 15 2007, 08:12 PM

ok, alpha5 is out
nothing much changed except I enhanced the postinst script to try to guess whether you have base or full installed. at the moment, if you have rox and scim installed, it will assume you have pdaxii13 full and does the full upgrade and add some extra packages as well. if it does not find rox and scim, it will assume you have pdaXii13 base installed and only upgrade installed packages without adding extra packages.

in theory if, you have the pdaxiiv2-upgrade package installed already, you don't need to reinstall it unless you really want to. what this package is as follows:

replace /usr/bin/ipkg with a newer version (has not changed since alpha2 and not likely to change anymore)
replace /etc/ipkg.conf with updated feeds (this one is also unlikely to change and you might want to add your own custom feeds anyway)
replace /etc/issue (this one contains the version number of pdaXiiv2 and would be 5.5.0-alphaX)
add/replace /usr/lib/ipkg/ignored (this is where you put the names of packages you don't want upgraded)

the postinst script will then use ipkg upgrade and/or add packages that are listed in postinst script

as an alternate, you could simply update the above files like ipkg.conf and ignored before running ipkg update; ipkg upgrade

in effect, it will grab the latest packages from the pdaxiiv2 feed and upgrade your current packages with the newer ones from the feed (if it is newer)

Posted by: Richard Dec 2 2007, 01:16 AM

After my last attempt with pdaxiiv2, I reflashed back to version 5.4.9 (Sally) on my CL3100 and worked with that distro for a while. This morning, I was itching to try 5.5.0 again, so I downloaded the latest alpha5 updater.

It ran perfectly and installed the base system - only consuming an extra 10 MB of space on my NAND partition.

I rebooted and openbox came back up, but I had no icons. They were there, but all white with red 'x's in them. I remembered others had problems with icons, so I can back here to read. I tried everything mentioned here - from manually installing packages from the different feeds to running commands in the terminal to get libpng to work right.

I was just about ready to go back to 5.4.9 and I read that gtk2 had issues for someone. So, I exited to the shell and removed gtk2, then reinstalled it. It installed, but complained about a folder missing (with gtk in the title) and a missing library, libscim.so. So, I uninstalled gtk2 again, installed gtk and scim, then reinstalled gtk2. This time, no complaints.

I just finished rebooting v2 again, and openbox came up with icons intact! It's working perfectly now. I was surprised that upgrades weren't applied to these packages even though I ran "ipkg upgrade". Maybe I was missing them all along...

Anyway, the new alpha5 installed perfectly and correctly guessed that I wanted the base install! Great job Meanie!

Posted by: ZDevil Dec 2 2007, 03:01 AM

Would Meanie consider changing the versioning? pdaXii13v2 build 5.5 alpha 5.... isn't this a little bit bizarre? laugh.gif

Posted by: Meanie Dec 2 2007, 04:46 AM

QUOTE(ZDevil @ Dec 2 2007, 09:01 PM) *
Would Meanie consider changing the versioning? pdaXii13v2 build 5.5 alpha 5.... isn't this a little bit bizarre? laugh.gif


let me explain the versioning here to stop the confusion.

pdaXii13 is the pdaXrom beta1/beta3 compatible edition
pdaXiiv2 (or pdaXii13v2) is the next generation that is compatible with pdaXrom Latest packages, ie r197/r198. it is still backwards compatible with beta1/beta3 packages


the build number of pdaXii has always increased after each release. build 5.4.9 is the last of the pdaXii13(v1), after build 5.5.0, its pdaXii13v2 or pdaXiiv2
the v2 is to signify that the compatability against pdaXrom has changed. so the name would just be pdaXiiv2. build 5.5(.0) is probably the last pdaXii image since updates to the image are going to be via the upgrade feed. once you have gone to pdaXiiv2, updates are all done via the feed, ie by updating the packages rather than running a script to patch the system like in pdaXii13(v1)

the alpha5 only comes into play because that's the version number for the pdaXiiv2 updater. remember that the pdaXii13 flash installer (updater.sh) also has a build number but you don't quote that number when you say what version of pdaXii you have. similarly, the alpha5 or whichever number that follows is the build number for the pdaXiiv2 updater/upgrader.

hope this makes sense.

pdaXiiv2 is updated by running:

ipkg update
ipkg upgrade

the ipkg warning will be removed once the pdaXiiv2 updater is not alpha anymore.

Posted by: Richard Dec 3 2007, 06:24 AM

Meanie, after my upgrade to 5.5, my card monitor no longer shows a link for USB devices, and it doesn't popup a message box when the card is safe to remove. Not a big deal, but I kind of liked that feature. According to my package manager, I have version 1.0.4-6.

Any ideas?

Posted by: wowo123 Dec 3 2007, 11:23 PM

I'm running pdaXii13 an a c3200 (thx a lot for the great work!) Unfortunalety I realized too late that the fixing 64 MB NAND limit funktion had failed, so I only have 64 MB (real)root and 64 MB /user. After completing my installation of pdaXii13v1 there is no space left on (real)root, but the system is running smoothely without errors and I can install new programs in /. When I tried to do the upgrade to v2alpha5, after a short time there was an error: no space left on device and the upgrade failed. I read the discussion about free space of 30 - 40 MB in /, so I'm afraid I have to do the NAND-partitioning to 121MB and then do a completely new install. sad.gif Or is there any other way to solve the problem?

Posted by: deniscallies Dec 6 2007, 01:43 AM

I still have problems with png files. I set the filter in gqview an still there are no symbols showing on desktop. Starting thunar ends with a "cannot open png file" whats the problem?

Denis

Posted by: wowo123 Dec 6 2007, 04:23 AM

After upgrading openbox in pdaxii13 v2 to 3.4.4-2 the header lines with the titles of the displayed windows are extremely small and so is the title text font and the action icons. This isn't related to the choosen theme or to .../themes/<choosen theme>/gtk/gtkrc. I tried to edit /usr/share/themes/<choosen theme>/openbox-3/themerc but with no success. The old openbox version didn't show this issue. Any hints?

Posted by: Jon_J Dec 6 2007, 08:48 AM

QUOTE(deniscallies @ Dec 6 2007, 03:43 AM) *
I still have problems with png files. I set the filter in gqview an still there are no symbols showing on desktop. Starting thunar ends with a "cannot open png file" whats the problem?

Denis

Meanie recommended to install libpng_1.2.12
post #35 in this thread.
https://www.oesf.org/forum/index.php?s=&showtopic=24702&view=findpost&p=168563

Do you have the following in /usr/lib/
libpng12.so
libpng12.so.0
libpng12.so.0.12.0
libpng.so
libpng.so.3
libpng.so.3.12.0

Posted by: deniscallies Dec 6 2007, 11:55 AM

i have reinstalled and upgraded. Now everything went fine. I am a little confused. I did now the same as before unsure.gif
thanks, Denis

Posted by: macwiz Jan 18 2008, 10:11 AM

Hi. Will the upgrade work on my c860 which I now have running latest pdaxii13?

Also, where are the feeds for this now, tyrannozaurus is offline.

Thanks

John

Posted by: Jon_J Jan 18 2008, 12:15 PM

QUOTE(macwiz @ Jan 18 2008, 12:11 PM) *
Hi. Will the upgrade work on my c860 which I now have running latest pdaxii13?

Also, where are the feeds for this now, tyrannozaurus is offline.

Thanks

John
I think most of the feeds are back up. Antikx has them listed here:
http://www.tyrannozaurus.com/start

Posted by: macwiz Jan 28 2008, 12:50 PM

So er will it run on a c860?

Posted by: macwiz Feb 7 2008, 05:35 PM

QUOTE(macwiz @ Jan 28 2008, 08:50 PM) *
So er will it run on a c860?

Guess that's a 'no' or a 'no one's tried it'? Huh?

Posted by: adf Feb 8 2008, 12:13 AM

QUOTE(macwiz @ Feb 7 2008, 04:35 PM) *
QUOTE(macwiz @ Jan 28 2008, 08:50 PM) *
So er will it run on a c860?

Guess that's a 'no' or a 'no one's tried it'? Huh?

speaking of pdaXii13v2 (which I use as per sig) has meanie vanished?? I've seen no posts from him since december

Posted by: hellgeist Mar 7 2008, 01:56 PM

QUOTE(Jon_J @ Oct 5 2007, 11:44 AM) *
I browsed kkazakov13's feed to see if I had any files that needed updated, that weren't caught in the upgrade process and found these 4 files needed updating.
I checked with the latest "ignored" list and none of these were on it, so I updated these 4 libraries:
glib2_2.14.0_armv5tel.ipk
libgphoto2_2.4.0_armv5tel.ipk
pango_1.18.1_armv5tel.ipk
poppler_0.5.4-1_armv5tel.ipk

When I rebooted, my fonts on the desktop and in GQview are all square boxes.
All the filenames in rox filer are square boxes also.
I'm not sure which one is causing this, but I'll go through them one-by-one and install the previous version.
I'll report back after I uninstall/reinstall prior versions and find the "culprit" that is causing these square boxes to replace my fonts.
EDIT
I found it was pango that was causing my problems, I uninstalled the newer version above and re-installed pango_1.10.0_armv5tel.ipk
smile.gif
I still have the *.png problem with icons, etc..


I couldn't leave well enough alone, and decided to try another upgrade to v2 on my Akita. Historically, I've gotten this same result (missing icons) so I had just stuck with beta3. But after reading your other post about solving the missing icons problem, I thought your fix might be good for Akitas, so I tried it. Unfortunately, in GQview my .png box was already checked, so that didn't change anything. Restarting left me even worse off - a blank screen and a bar, with no icons anywhere. I can add the launcher back, but apps don't open (visibly anyway).

Could be that your solution worked in a prior build of v2 but not the current one? Here's what I did:I can't find anymore leads as to what it would take to finish fixing this 5.5 upgrade, so I'm probably going to revert to beta3. Hopefully the Akita info in this post might be helpful down the road as bug testing data.

Posted by: yatza Mar 8 2008, 02:50 PM

QUOTE(hellgeist @ Mar 7 2008, 11:56 PM) *
Unfortunately, in GQview my .png box was already checked, so that didn't change anything.


Hi,
for PNG troubles, try this:
- uninstall whatever libpng version you have installed
- install libpng with the highest version number (currently 2.1.12)
- execute gdk-pixbuf-query-loaders > /etc/gtk-2.0/gdk-pixbuf.loaders

The last line is the trick, it fixed png on my Akita. Original post by walkman can be found here:
https://www.oesf.org/forum/index.php?showtopic=24826&view=findpost&p=171826

Regards,
yatza

Posted by: ArchiMark Mar 29 2008, 02:13 PM

QUOTE(adf @ Feb 8 2008, 01:13 AM) *
speaking of pdaXii13v2 (which I use as per sig) has meanie vanished?? I've seen no posts from him since december


Unfortunately, sure seems like it....

sad.gif

Posted by: Jon_J Mar 29 2008, 02:18 PM

QUOTE(ArchiMark @ Mar 29 2008, 05:13 PM) *
QUOTE(adf @ Feb 8 2008, 01:13 AM) *
speaking of pdaXii13v2 (which I use as per sig) has meanie vanished?? I've seen no posts from him since december


Unfortunately, sure seems like it....

sad.gif

Has anyone heard from Meanie? His website still works fine, so he must be around somewhere...
Seems he just vanished once he got married.
QUOTE(macwiz @ Jan 18 2008, 01:11 PM) *
Hi. Will the upgrade work on my c860 which I now have running latest pdaxii13?

Also, where are the feeds for this now, tyrannozaurus is offline.

Thanks

John

There is a thread detailing about installing pdaxii13 on 860. I'll look for it and post a link here.
I found it here, but you (macwiz), have already posted in that thread.
I really thought pdaxii13 was "working" on the 860.
https://www.oesf.org/forum/index.php?showtopic=23350&hl=860

Posted by: macwiz Apr 11 2008, 02:51 PM

Yes, it is. but I am enquiring whether the latest version can be installed.

Posted by: Raul Apr 27 2008, 12:50 AM

[SL-C3200, full hd install, Akita 5.4.9] Every time i'm trying to update to v2 after restart I get some modules dependiences broken, X is loading without icons, most of the appliations don't work. I would like to use some of the new software but i cannot get it to work.
I've even cloned kazakov's feed but that didn't helped much.

Help?

Posted by: Jon_J Apr 27 2008, 09:10 AM

QUOTE(Raul @ Apr 27 2008, 03:50 AM) *
[SL-C3200, full hd install, Akita 5.4.9] Every time i'm trying to update to v2 after restart I get some modules dependiences broken, X is loading without icons, most of the appliations don't work. I would like to use some of the new software but i cannot get it to work.
I've even cloned kazakov's feed but that didn't helped much.

Help?

I think the problem may be meanie's v2 feed. It gives me "Page not found" when I try to browse it with a browser.
here is the url, Ask antikx if he would enable it again.
http://www.tyrannozaurus.com/feed/beta3/pdaxiiv2/ (it is the first one listed in the package manager).

Posted by: Raul Apr 28 2008, 06:13 AM

Is there a copy of this feed?

Posted by: adf Apr 28 2008, 11:42 AM

QUOTE(Raul @ Apr 28 2008, 06:13 AM) *
Is there a copy of this feed?

list of feeds is here http://www.tyrannozaurus.com/start

Posted by: Raul Apr 28 2008, 01:47 PM

But this feed http://www.tyrannozaurus.com/feed/beta3/pdaxiiv2/ isn't listed there.

Posted by: Raul May 2 2008, 01:48 AM

Really, no one has a copy of pdaxiiv2 feed?

Posted by: adf May 2 2008, 11:46 AM

QUOTE(Raul @ May 2 2008, 01:48 AM) *
Really, no one has a copy of pdaxiiv2 feed?

I might - I'll check this weekend

Posted by: Jon_J May 2 2008, 06:17 PM

I wish I would have made a complete download of this feed, like I did with several of the original pdaxrom feeds, which have a tarball of the feed already archived for convenient download.
This particular feed was/is? experimental and was/is? ongoing, and I didn't expect it to disappear so soon.
There WAS mention of a version of pdaxii13v2 that would be out of the "alpha" stage.
I didn't expect Meanie to disappear so suddenly with no advance notice...

Posted by: Raul May 3 2008, 12:51 AM

If someone has a copy I will make a feed and will write here the exact location.

Posted by: adf May 5 2008, 03:38 PM

QUOTE(Raul @ May 3 2008, 12:51 AM) *
If someone has a copy I will make a feed and will write here the exact location.

looks like i don't, but shouldn't the 'full' version be compatible with beta4 feeds?
Has anyone emailed meanie, or Antiks?

Posted by: HoloVector May 6 2008, 10:15 AM

QUOTE(adf @ May 5 2008, 06:38 PM) *
QUOTE(Raul @ May 3 2008, 12:51 AM) *
If someone has a copy I will make a feed and will write here the exact location.

looks like i don't, but shouldn't the 'full' version be compatible with beta4 feeds?
Has anyone emailed meanie, or Antiks?

I have emailed Antikx but, he hasn't replied yet. I have a bad feeling that things aren't going so well for him and his family. sad.gif

Posted by: Raul May 6 2008, 10:38 AM

I've send him pm but he didn't reply. I hope everything is ok with him and his family.

Posted by: espi May 21 2008, 01:26 PM

I hope that everyone is doing well as well. I'm just getting started with PDAXII and find Meanie's work incredible.

Posted by: Jon_J May 28 2008, 06:26 AM

Roberto at tyrannozaurus has found the correct URL for the v2 feed
Need to add "/index.html" to previously posted URL
Thanks Roberto smile.gif
http://www.tyrannozaurus.com/feed/beta3/pdaxiiv2/index.html

EDIT:
The package manager in pdaxii13v2 has the old URL in it's settings. I updated mine to the new URL

NOTE: you must edit /etc/ipkg.conf to preserve this URL at the top of the list.
Editing the GUI list in package manager only adds this new URL to the bottom of the list.

Posted by: HoloVector May 28 2008, 11:18 AM

Thanks Roberto and Jon_J! It appears that I still have some (front end) admin rights on tyrannozaurus so I edited the Start Here page and added this and Meanie's unstable e17 feed to the pdaXrom feed lists. If you know of any more feeds that are in the same state as these let me know and I will add them to the Start Here page. Thanks again.

Posted by: robyinno May 28 2008, 03:50 PM

QUOTE(HoloVector @ May 28 2008, 09:18 PM) *
Thanks Roberto and Jon_J! It appears that I still have some (front end) admin rights on tyrannozaurus so I edited the Start Here page and added this and Meanie's unstable e17 feed to the pdaXrom feed lists. If you know of any more feeds that are in the same state as these let me know and I will add them to the Start Here page. Thanks again.


Thanks HoloVector for update tyrannozaurus!

Roberto

Posted by: Raul Jun 6 2008, 07:42 AM

This time upgrade was fine and I'm playing with it right now.

Powered by Invision Power Board (http://www.invisionboard.com)
© Invision Power Services (http://www.invisionpower.com)